> For the complete documentation index, see [llms.txt](https://docs.fullwhere.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fullwhere.com/developer/use-cases/send-a-survey-through-fullwhere.md).

# Send a Survey through Fullwhere

This use case shows how to send a satisfaction survey through Fullwhere.\
A survey must be sent for a specific customer and purchase.

#### 1. Import the customer

Start by importing a **customer** in Fullwhere.\
This entity contains the customer’s basic information (name, email, etc.) and will be used to link future purchases and surveys to the right customer.

> API Reference: [`POST partners/customers`](https://docs.fullwhere.com/developer/api-references/customer.md#post-partners-customer)

***

#### 2. Import the purchase

Next, import a **purchase** linked to this customer.\
The purchase includes transaction details (amount, date, etc.) and must by linked to the customer you just imported with the `customerId` field.

> API Reference : [`POST partners/purchases`](https://docs.fullwhere.com/developer/api-references/purchase.md#post-partners-purchase)

When creating the purchase, set the Query parameter `allowSurvey` to `true`.

```json
"allowSurvey": true
```

This flag tells Fullwhere that this transaction should trigger the satisfaction survey to be sent to the customer **by Fullwhere**. In this case, Fullwhere handles the entire process of sending the survey to your customer, according to your survey configuration (delay, channels, etc.).\
No further action is required on the partner side.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fullwhere.com/developer/use-cases/send-a-survey-through-fullwhere.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
